Skip to main content

Start afterwork

POST{{server}}/api/v1/counter/afterwork/start

After transaction, the clerk can start afterwork about the ticket. Call this endpoint with the following parameters:

Request

  • ticket (string, required): The called ticket key

  • task (string, required): The key of the chosen afterwork task from tasks array on the ticket.

There is no response if it was successful.

Request​

Authorization​

HeaderValue
AuthorizationBearer {{counterToken}}

Headers​

KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}

Body (json)​

{
"ticket": "{{ticketKey}}",
"task": "{{ticketTaskKey}}"
}

Code snippets​

curl -X POST '{{server}}/api/v1/counter/afterwork/start' \
-H 'Accept: application/json' \
-H 'X-WSID: {{counterWsID}}' \
-H 'Authorization: Bearer {{counterToken}}' \
-H 'Content-Type: application/json' \
-d '{
"ticket": "{{ticketKey}}",
"task": "{{ticketTaskKey}}"
}'

Example​

Example request
POST{{server}}/api/v1/counter/afterwork/start
Headers (2)
KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}
Body
{
"ticket": "1905ee5f-dbe2-4dfc-dd29-9ad2056f437f",
"task": "1905ee5f-dbc7-4ac8-61a9-c9f961034f1b"
}
Example response 204 No Content
No response body